/*	libcodeview.so - A programmers editor widget for Atheos
	Copyright © 1999 - 2001 Andreas Engh-Halstvedt

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.
	
	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
	MA 02111-1307, USA
*/

#include <util/application.h>
#include <gui/window.h>
#include <storage/file.h>

/*to use the installed version write
#include <codeview/codeview.h>
#include <codeview/format_c.h>
*/
#include "codeview.h"
#include "format_c.h"

class Win : public os::Window{
	public:
		Win(const os::Rect &r, const std::string &name, const std::string &title)
		: os::Window(r, name, title){
			cv::CodeView *ed=new cv::CodeView(os::Rect(5, 5, 690, 490), "", "", os::CF_FOLLOW_ALL);
			AddChild(ed);
			ed->MakeFocus();

			os::File f("inneredit.cpp");
			uint32 size=f.GetSize();
			char* buf=new char[size+1];
			f.Read(buf, size);
			buf[size]=0;
			ed->Set(buf);
			delete[] buf;	

			ed->SetFormat(new cv::Format_C());
		}

		bool OkToQuit(){
			os::Application::GetInstance()->PostMessage(os::M_QUIT);
			return true;
		}		
};

class App : public os::Application{
	public:
		App(): os::Application("test"){
			Win* w=new Win(os::Rect(100, 100, 800, 600), "testWin", "TestWin");
			w->Show();
			w->MakeFocus();
		}
};

int main(int argc, char**argv){
	App* app=new App();

	app->Run();

	return 0;
}
